/* SoundPluginLoader.h */

/* Copyright (C) 2011 - 2014  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef SOUNDPLUGINLOADER_H_
#define SOUNDPLUGINLOADER_H_




#include <QList>
#include <QVector>
#include <QString>


#include "Engine/Engine.h"



class SoundPluginLoader : public QObject {

	Q_OBJECT

private:
	QVector<Engine*> 	_vec_engines;

	bool load_plugins(QString app_dir);

public:

	SoundPluginLoader(const QString& dir, QObject* parent=0);
	virtual ~SoundPluginLoader();

	QVector<Engine*> get_engines();
	Engine* get_first_engine();
};

#endif /* SOUNDPLUGINLOADER_H_ */
